Bug 836761 - loudmouth has -lidn in pkgconfig Libs instead of Libs.private
loudmouth has -lidn in pkgconfig Libs instead of Libs.private
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: loudmouth (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
: EasyFix, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-30 22:32 EDT by Dan Callaghan
Modified: 2015-07-19 09:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-19 09:36:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch for overlinking (480 bytes, patch)
2012-07-19 21:02 EDT, Dan Callaghan
no flags Details | Diff

  None (edit)
Description Dan Callaghan 2012-06-30 22:32:11 EDT
Description of problem:
/usr/lib*/pkgconfig/loudmouth-1.0.pc has -lidn in Libs, whereas it should probably be in Libs.private. This results in overlinking of programs using loudmouth, for example jj reviewed in bug 831705.

Version-Release number of selected component (if applicable):
loudmouth-1.4.3-10.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1. Link a program with $(pkg-config --libs loudmouth-1.0)
2. Check for unused dependencies using ldd -u -r.
 
Actual results:
Program has an unused direct dependency on libidn.

Expected results:
No dependency on libidn.

Additional info:
http://wiki.mandriva.com/en/Overlinking_issues_in_packaging#pkgconfig_issues
Comment 1 Peter Robinson 2012-07-19 11:53:34 EDT
got a suggested patch?
Comment 2 Dan Callaghan 2012-07-19 21:02:53 EDT
Created attachment 599263 [details]
Proposed patch for overlinking

Sure, attached. Verified that it builds, and fixes the overlinking identified in 831705. Haven't actually run it though.
Comment 3 Fedora End Of Life 2013-07-03 22:27:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Dan Callaghan 2013-07-09 01:35:39 EDT
Bug still applies to loudmouth-1.4.3-11.fc18.x86_64.
Comment 5 Fedora End Of Life 2013-12-21 03:38:52 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-01-09 12:13:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.